$(function () {

    $(".rsub").click(function () {
        checkreg();
    })
    var strongRegex = new RegExp("[a-zA-Z]");

    $(".tabbox td input#rusername").blur(function () {
        if ($(".tabbox td input#rusername").val() != "" && $(".tabbox td input#rusername").val().length >= 6) {

               
                    $.post("/admin/ajax/pwdpd.ashx", { run: $(".tabbox td input#rusername").val() }, function (data) {
                        if (data == "ok") {
                            $(".tabbox #is_ok").html("<span class='wtxt'>√ 正确</span>")
                        }
                        else {
                            $(".tabbox #is_ok").html("<span style='color:red'>× " + data + "</span>")
                            $(".tabbox td input#rusername").focus()
                        }
                    });
        }
        else {
            $(".tabbox #is_ok").html("<span style='color:red'>* 请输入长度6-24位,可输入英文字母或数字</span>");
        }
    });

    $(".tabbox td input#rpassword1").blur(function () {
        if ($(".tabbox td input#rpassword1").val() != "" && $(".tabbox td input#rpassword1").val().length >= 6) {
            if (strongRegex.test($(".tabbox td input#rpassword1").val())) {
                $(".tabbox #is_ok_password1").html("<span class='wtxt'>√</span>");
            } else {
                $(".tabbox #is_ok_password1").html("<span style='color:red'>* 您的密码强度太弱,建议英文加数字</span>");
            }
        } else {
            $(".tabbox #is_ok_password1").html("<span style='color:red'>* 密码规则:须为6-24位英文或数字的字符</span>");
        }
    });

    $(".tabbox td input#rpassword2").blur(function () {
        if ($(".tabbox td input#rpassword2").val() == $(".tabbox td input#rpassword1").val()) {
            $(".tabbox #is_ok_password2").html("<span class='wtxt'>√</span>");
        } else {
            $(".tabbox #is_ok_password2").html("<span style='color:red'>* 确认密码和密码输入的不一致</span>");
        }
    });
})

//是否是中文
function iszhcn(str) {
    var reg = /[\u4E00-\u9FA5\uF900-\uFA2D]/;
    return reg.test(str);
}

function showMsg(str) {
    $("#msg").fadeIn(200);
    $("#msg .msgalert").html(str);

}
function checkreg() {
    objusername = $(".tabbox td input#rusername");
    objpassword1 = $(".tabbox td input#rpassword1")
    objpassword2 = $(".tabbox td input#rpassword2")

   
    if (objusername.val() == "") {
        showMsg("请数据原始密码！")
        objusername.focus();
        return
    }
    if (objusername.val().length < 6) {
        showMsg("帐号长度是6-24位！")
        objusername.focus();
        return
    }
    if (objpassword1.val() == "") {
        showMsg("请输入新密码！")
        objpassword1.focus()
        return
    }
    if (objpassword1.val().length < 6) {
        showMsg("密码长度是6-24位！")
        objpassword1.focus()
        return
    }
    if (objpassword2.val() == "") {
        showMsg("请再次输入密码！")
        objpassword2.focus()
        return
    }
    if (objpassword2.val() != objpassword1.val()) {
        showMsg("两次输入的密码不一致！")
        objpassword2.val("")
        objpassword1.val("")
        objpassword1.focus()
        return
    }

  
  
     
       
        $.post("/admin/ajax/updatepwd.ashx", { gusername: objusername.val(), gpassword: objpassword1.val() }, function (data) {
            if (data == "ok") {
                alert("修改成功，确认重新登录！")

                location.reload();
            }
            else {

                alert("修改失败！");

            }
        })
    
}





